- Reference (v1)
- Feedback
- Create feedback
Version: API v1
Create feedback
POST/v1/customers/{customerNumber}/feedback
API-Version
v1
Request-Methode
POST
Operation-ID
createFeedback
Request
- customerNumberintegerrequired
Customer number
Format
application/json
- voteinteger (einer von: 1, 2, 3, 4, 5)
1 means bad, ranges to 5 means best
- messagestring
- notNowboolean
Content-Type: application/json
{
"vote": 123,
"message": "string",
"notNow": true
}
{
"title": "CreateFeedback",
"type": "object",
"properties": {
"vote": {
"type": "integer",
"description": "1 means bad, ranges to 5 means best",
"enum": [
1,
2,
3,
4,
5
]
},
"message": {
"type": "string"
},
"notNow": {
"type": "boolean"
}
}
}
Responses
Format
application/json
Beschreibung
Feedback created
- messagestring
Content-Type: application/json
{
"message": "string"
}
{
"title": "Message",
"type": "object",
"properties": {
"message": {
"type": "string"
}
}
}
Format
application/json
Beschreibung
Your request is invalid.
- messagestring
Content-Type: application/json
{
"message": "string"
}
{
"title": "Message",
"type": "object",
"properties": {
"message": {
"type": "string"
}
}
}
Format
application/json
Beschreibung
You have no access to this customer number.
- messagestring
Content-Type: application/json
{
"message": "string"
}
{
"title": "Error",
"type": "object",
"properties": {
"message": {
"type": "string"
}
}
}
Format
application/json
Beschreibung
Customer number does not exist.
- messagestring
Content-Type: application/json
{
"message": "string"
}
{
"title": "Message",
"type": "object",
"properties": {
"message": {
"type": "string"
}
}
}
Format
application/json
Beschreibung
Your request contains unprocessable entities.
- messagestring
Content-Type: application/json
{
"message": "string"
}
{
"title": "Message",
"type": "object",
"properties": {
"message": {
"type": "string"
}
}
}
Format
application/json
Beschreibung
We received enough feedback, thank you.
- messagestring
Content-Type: application/json
{
"message": "string"
}
{
"title": "Message",
"type": "object",
"properties": {
"message": {
"type": "string"
}
}
}
Format
application/json
Beschreibung
Too many requests.
- messagestring
Content-Type: application/json
{
"message": "string"
}
{
"title": "Message",
"type": "object",
"properties": {
"message": {
"type": "string"
}
}
}
Format
application/json
Beschreibung
An internal error occuured, please try again later.
- messagestring
Content-Type: application/json
{
"message": "string"
}
{
"title": "Error",
"type": "object",
"properties": {
"message": {
"type": "string"
}
}
}
Nutzungsbeispiele
$ curl \
--fail \
--location \
-X POST \
-d '{"vote":123,"message":"string","notNow":true}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v1/customers/123/feedback